> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/xamarin/changelogs/version-10/v10-7-0.md).

# Version 10.7.0 Changelog (February 7, 2024)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 10.7.0

Release Date: February 7, 2024

## Notes

This release of Apryse for Xamarin brings the core PDF functionality and iOS and Android Tools functionality inline with version 10.7.0 of the iOS and Android SDKs. More information can be found on [What's New for iOS](/ios/changelogs/version-10/v10-7-0.md) and [What's New for Android](/android/changelogs/version-10/v10-7-0.md).

## Xamarin.Android

### Fixes

* Fixed issue where scroll bar overlaps with navigation buttons in some scenarios
* Fixed issue where dragging while creating polyline scrolls the page in some scenarios
* Fixed issue where lasso tool does not select properly with dots and short lines
* Fixed issue where duplicating FreeText annotation does not work properly on rotated pages
* Fixed issue where FreeText rich content setting does not work properly between sessions
* Fixed issue where annotation toolbar is shown when searching in some scenarios

## Xamarin.iOS

### New

* Added support for opening email link annotations without a `mailto:` prefix.
* Added the `SetSnappingMode` API to the `PTPDFViewCtrl` class.
* Added support for scaling font of free text annotations while resizing.
* Exposed the `selectAnnotation` method on the `PTFormFillTool` class.

### Fixes

* The Insert toolbar's "Add Pages" button visibility can now be controlled using the viewer's `addPagesButtonHidden` API.
* The annotation style presets are saved when changing the tool in the toolbar.
* Fixed the appearance of free text annotations not refreshing after resizing.
* Fixed a crash when using typed signatures.
* Fixed a crash when exporting a local document.
* Fixed free text annotations not using the default style when created from the long press menu.
* Fixed the annotation style picker covering the screen in landscape mode.
* Fixed a crash when showing the colour picker from the free text `inputAccessoryView`.
* Fixed a crash when trying to print a PDF without OCG layers.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/xamarin/changelogs/version-10/v10-7-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
